Bug 14940 - opac-topissues.pl sort is broken
Summary: opac-topissues.pl sort is broken
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Julian Maurice
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-02 07:31 UTC by Julian Maurice
Modified: 2016-06-21 21:38 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14940: Fix sorting in opac-topissues.pl (3.14 KB, patch)
2015-10-02 07:32 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 14940: Fix sorting in opac-topissues.pl (3.34 KB, patch)
2015-10-03 07:40 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 14940: Fix sorting in opac-topissues.pl (3.41 KB, patch)
2015-10-03 17:30 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2015-10-02 07:31:50 UTC
A hidden text in "Checkouts" column prevent DataTables to sort numerically.
Comment 1 Julian Maurice 2015-10-02 07:32:18 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-10-03 07:40:01 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-10-03 17:30:21 UTC
Created attachment 43081 [details] [review]
[PASSED QA] Bug 14940: Fix sorting in opac-topissues.pl

There is hidden text in "Checkouts" cells that prevent DataTables to
sort numerically.
This patch adds the 'title-numeric' sort plugin and use it in
opac-topissues.pl

Column 'Checkouts' in Home > Most popular items sorts as expected
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2015-10-05 15:39:45 UTC
Patch pushed to master.

Thanks Julian!
Comment 5 Chris Cormack 2015-10-23 13:21:07 UTC
Pushed to 3.20.x will be in 3.20.5
Comment 6 Liz Rea 2015-11-02 21:05:57 UTC
Pushed to 3.18.x, is in 3.18.12.